<?php
##======================================================##
##  365 Links2 Plus                                     ##
##  Copyright (C) php365.com All rights reserved.       ##
##  http://php365.com/                                  ##
##======================================================##
// ↓ランキングリセット方法
// links2p.php?mode=rank_reset　アクセスして指示に従って下さい。

// ユーザー設定ライブラリ
require_once("./lib/config.php");
// 共通仕様サブルーチン
require_once(PATH_LIB."common.php");
// MySQLクラスライブラリ
require_once(PATH_LIB."mysql.php");

check_host();

if($_SERVER['REQUEST_METHOD'] == "GET"){	$_POST['mode'] = &$_GET['mode']; }

$script_name4html = t2h($_SERVER['SCRIPT_NAME']);
switch($_SERVER['REQUEST_METHOD']):
	case 'GET':
		switch($_GET['mode']):
			case 'new':		// 新着サイト表示
				new_html();
				break;
			case 'regist':		// 登録フォーム表示
				regist();
				break;
			case 'up':		// 更新サイト表示
				up();
				break;
			case 'rank':		// ランキング表示
				rank();
				break;
			case 'ct':		// カテゴリ表示
				ct();
				break;
			case 'jump':		// カウントアップ、ロケーション
				jump();
				break;
			case 'rank_reset':	// ランキングリセット入口
				rank_reset();
				break;
			case 'check':
				check();
				break;
			default:
				top_html();
				break;
		endswitch;
		break;
	case 'POST':
		switch($_POST['mode']):
			case 'regist':		// 登録フォーム表示
				regist();
				break;
			case 'do_regist':	// 新規登録処理
				decode();
				do_regist();
				break;
			case 'modify':		// 修正フォーム表示
				modify();
				break;
			case 'do_modify':	// データ修正処理
				decode();
				do_modify();
				break;
			case 'delete':		// データ削除処理
				delete();
				break;
			case 'do_search':	// キーワード検索
				decode();
				do_search();
				break;
			case 'do_rank_reset':	// ランキングリセット実行
				do_rank_reset();
				break;
			default:
				top_html();
				break;
		endswitch;
		break;
	default:
		top_html();
		break;
endswitch;
exit;
#----------------#
#  初期画面表示  #
#----------------#
function top_html(){
	global $CNF,$title,$homeurl,$category,$ct_cnt,$user_comment;

	$rows_all = 0;
	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	// カテゴリデータ件数カウント
	for($i = 0; $i < count($ct_cnt); $i++){
		$sql = "SELECT ".DB_ID." FROM ".DB_TABLE." WHERE ".DB_CT." = ${i}";
		$result = $db->Query($sql);
		$rows = @mysql_num_rows($result);
		$ct_cnt[$i] = $rows;
		$rows_all += $rows;
	}
	// バックアップ処理
	if(BAK_FLG && $rows_all > 0){	backup($db); }
	$db->Close();

	head_html($title);
	navi_bar("全登録数　${rows_all}件",$user_comment);
	// カテゴリナビ表示
	category_navi($ct_cnt);
	// 管理バー表示
	admin_bar();

	foot_html();
}
#------------------#
#  新着サイト表示  #
#------------------#
function new_html(){
	global $CNF,$title,$homeurl,$category,$ct_cnt,$target,$REG,$script_name4html;

	if(isset($_GET['p']) && intval($_GET['p']) > 0){
		$pagenow = intval($_GET['p']);
	}else{
		$pagenow = 1;
	}
	head_html("新着サイト");
	navi_bar("新着サイト",$user_comment);
echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
echo "<tr><td width=\"100%\" valign=\"top\"><br>\n";
	$rows_all = 0;
	$num_start = ($pagenow - 1) * PAGEVIEW + 1;
	$offset = $num_start - 1;

	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql = "SELECT * FROM ".DB_TABLE." ORDER BY ".DB_ID." DESC ";
	$sql .= "limit ${offset}, ".PAGEVIEW;
	$result = $db->Query($sql);
	while($item = @mysql_fetch_array($result)){
		if(RANK_FLG == 1){
			if(BANNER_FLG == 1 && $item['banner'] != ""){
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
				if(TLINK_FLG == 1){	echo "　<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
				echo "<br>\n";
			}else{
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
			}
		}else{
			if(BANNER_FLG == 1 && $item['banner'] != ""){
				echo "<a href=\"${item['url']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
				if(TLINK_FLG == 1){	echo "　<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
				echo "<br>\n";
			}else{
				echo "<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
			}
		}
		echo "<span style=\"background-color: ${CNF[comment_bgcolor]}\">${item['comment']}</span><br>\n";
		if(RANK_FLG){
			echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">ヒット数：<b>${item['count']}</b>回 [${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
		}else{
			echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">[${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
		}
	}
echo "</td></tr></table><br><center>\n";
	// カテゴリデータ件数カウント
	for($i = 0; $i < count($ct_cnt); $i++){
		$sql = "SELECT ".DB_ID." FROM ".DB_TABLE." WHERE ".DB_CT." = ${i}";
		$result = $db->Query($sql);
		$rows = @mysql_num_rows($result);
		$ct_cnt[$i] = $rows;
		$rows_all += $rows;
	}
	$db->Close();
	// ページコントロール
	if($rows_all > 0){	page_ctl($rows_all,$pagenow,$num_start); }
	// カテゴリナビ表示
	echo "</center><hr size=1>【その他のカテゴリ】<br>\n";
	category_navi($ct_cnt);
	// 管理バー表示
	admin_bar();

	foot_html();
}
#--------------------#
#  登録フォーム表示  #
#--------------------#
function regist(){
	global $homeurl,$category,$com_max,$REG,$SPAM,$script_name4html;

	set_tracking();
	set_session();
	$ticket4html = t2h($_SESSION['ticket']);

	if(ADMIN_MODE == 1 && $_POST['pass'] != ADMIN_PASS){
		error("管理用パスワードが違います");
	}
	head_html("登録フォーム");

echo <<<EOM
\n[ <a href="javascript:history.back();">&lt;&lt;戻る</a> ]<br>
<center><b>登録フォーム</b><br><br>
<font color="#CC0000">*</font>は必須項目です。
EOM;
	if($SPAM['js']){
		$path_parts = pathinfo($_SERVER["SCRIPT_NAME"]);
		$dirname = $path_parts['dirname'] . "/";
		echo "<form action=\"".t2h($dirname)."dummy.php\" method=\"post\" name=\"form1\" id=\"form1\" onSubmit=\"return checkForm(${REG['check']},${SPAM['js']});\">\n";
		echo "<input type=\"hidden\" name=\"script\" value=\"${script_name4html}\">\n";
	}else{
		echo "<form action=\"${script_name4html}\" method=\"post\" name=\"form1\" id=\"form1\" onsubmit=\"return checkForm(${REG['check']},${SPAM['js']});\">\n";
	}
echo <<<EOM
<input type=hidden name="mode" value="do_regist">
<input type="hidden" name="ticket" value="${ticket4html}">
<table border="0" cellpadding="0" cellspacing="0" width="450">
<tr><td width="100%"><table border=0 width="100%" cellspacing="1" cellpadding="3" bgcolor="#c0c0c0">
<tr><td bgcolor="#efefef"><b>カテゴリ</b></td>
<td bgcolor="#ffffff"><select size="1" name="category">
EOM;
while(list($key, $value) = each($category)){
	echo "<option value=$key>$value</option>\n";
}
echo <<<EOM
</select></td></tr>
<tr><td bgcolor="#EFEFEF"><b>サイト名</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF"><input type=text name=site size=60></td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>サイトURL</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF"><input type=text name=url size=60 value="http://"></td></tr>
EOM;
	if(BANNER_FLG == 1){
		echo "<tr><td bgcolor=\"#EFEFEF\" nowrap><b>バナーURL</b><br>（88*31固定）</td><td bgcolor=\"#FFFFFF\"><input type=text name=banner size=60 value=\"http://\"></td></tr>\n";
	}
echo <<<EOM
<tr><td bgcolor="#EFEFEF"><b>コメント</b><br>（全角${com_max}文字以内）</td><td bgcolor="#FFFFFF"><textarea rows="4" name="comment" cols="50"></textarea></td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>パスワード</b></td><td bgcolor="#FFFFFF"><input type="password" name=pass size="10" maxlength="8"><font color="#CC0000">（修正・削除に使用、半角英数8文字以内）</font></td></tr>
EOM;

	show_regkey();
echo <<<EOM
<tr><td bgcolor="#FFFFFF" colspan="2" align="center" height="50"><input type="submit" name="submit" value="登録する">&nbsp;<input type="reset" value="リセット"></td></tr>                                                     
</table></form></center>
EOM;
	foot_html();
}
#----------------#
#  新規登録処理  #
#----------------#
function do_regist(){
	global $category,$homeurl,$com_max,$title,$REG,$SPAM,$script_name4html;

	check_referer();
	check_tracking();
	check_session();
	verify_regkey();

	if(!$_POST['site']){ error("サイト名が入力されていません"); }
	elseif($_POST['url'] == "http://" || $_POST['url'] == "https://"){ error("サイトURLが入力されていません"); }
	elseif(strlen(mb_convert_encoding($_POST['comment'], "EUC-JP", "UTF-8")) > ($com_max*2)){ error("コメントが全角${com_max}文字を超えています"); }
	elseif(!$SPAM['single'] && !preg_match('/[\xc0-\xf7][\x80-\xbf]/', $_POST['comment']) && $_POST['comment'] != ""){
		error("半角文字のみの投稿は禁止しています");
	}elseif(!$SPAM['url'] && preg_match('/http:\/\//', $_POST['comment'])){
		error("URLを含む投稿は禁止しています。<br>URLを投稿した場合は、頭の「h」を除いた「ttp://」から始めるようにして再度投稿して下さい。");
	}

	// NGワードチェック
	if(NG_WORD != ""){	check_ng_word(array('site','url','banner','comment')); }
	// NGURLチェック
	if(NG_URL != ""){	check_ng_url(array('site','url','banner','comment')); }

	foreach(array('site', 'comment') as $key){	$_POST[$key] = addslashes($_POST[$key]); }
	// 時間を取得
	$date = gmdate("Ymd",time()+9*60*60);
	$host = getenv("REMOTE_HOST");
	$addr = getenv("REMOTE_ADDR");
	if($host == "" || $host == $addr){	$host = @gethostbyaddr($addr);	}
	// パスワードの暗号化
	$pass = "";
	if($_POST['pass'] != ""){	$pass = md5($_POST['pass']);	}
	if($_POST['banner'] == "http://" || $_POST['banner'] == "https://"){
		$_POST['banner'] = "";
	}

	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);

	// 重複投稿チェック
	$sql = "SELECT * FROM ".DB_TABLE." WHERE ".DB_URL." = '${_POST['url']}'";
	$result = $db->Query($sql);
	$rows = @mysql_num_rows($result);
	if($rows){	error("既に登録されています");	}

	$line = "NULL,0,${_POST['category']},'${_POST['site']}','${_POST['url']}','${_POST['comment']}','$pass',$date,'$host','${_POST['banner']}'";
	$sql = "INSERT INTO ".DB_TABLE." VALUES ($line)";
	$result = $db->Query($sql);
	$rows = $db->Affected_rows();
	if(!$rows){	error("データ追加中にエラーが発生しました");	}
	$db->Close();

	foreach(array('site', 'comment') as $key){	$_POST[$key] = stripslashes($_POST[$key]); }
	# 登録完了メッセージ出力
	head_html("登録完了");
echo <<<EOM
<center><p><b>登録完了</b></p>
<table border="0" cellpadding="0" cellspacing="0" width="450">       
<tr><td width="100%"><table border=0 width="100%" cellspacing="1" cellpadding="3" bgcolor="#c0c0c0">
<tr><td bgcolor="#EFEFEF"><b>カテゴリ</b></td><td bgcolor="#FFFFFF">${category[$_POST['category']]}</td></tr>
<tr><td bgcolor="#EFEFEF"><b>サイト名</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF">${_POST['site']}</td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>サイトURL</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF">${_POST['url']}</td></tr>
EOM;
	if(BANNER_FLG == 1){
		echo "<tr><td bgcolor=\"#EFEFEF\" nowrap><b>バナーURL</b><br>（88*31固定）</td><td bgcolor=\"#FFFFFF\">${_POST['banner']}</td></tr>\n";
	}
echo <<<EOM
<tr><td bgcolor="#EFEFEF"><b>コメント</b></td><td bgcolor="#FFFFFF">${_POST['comment']}</td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>パスワード</b></td><td bgcolor="#FFFFFF">${_POST['pass']}</td></tr>
</table></td></tr></table>
<p align=center><a href="javascript:history.back();">&lt;&lt;戻る</a>　<a href="${script_name4html}">${title}に戻る</a></p>
</center>
EOM;
	foot_html();
}
#--------------------#
#  修正フォーム表示  #
#--------------------#
function modify(){
	global $homeurl,$category,$com_max,$REG,$SPAM,$script_name4html;

	set_tracking();
	set_session();
	$ticket4html = t2h($_SESSION['ticket']);

	$_POST['id'] = intval($_POST['id']);
	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql = "SELECT * FROM ".DB_TABLE." WHERE ".DB_ID." = ${_POST['id']}";
	$result = $db->Query($sql);
	$rows = @mysql_num_rows($result);
	if(!$rows){	error("該当No.が存在しません");	}
	$item = @mysql_fetch_array($result);
	$db->Close();

	// パスワードチェック
	if(!$SPAM['nopass'] && empty($item['pass']) && $_POST['pass'] != ADMIN_PASS){
		error("パスワードを設定していない投稿は、修正・削除を許可していません");
	}
	$post_pass_md5 = $_POST['pass'] != "" ? md5($_POST['pass']) : "";
	if(md5($_POST['pass']) != $item['pass'] && $item['pass'] != "" && $_POST['pass'] != ADMIN_PASS){
		error("パスワードが違います");
	}
	$comment = h2t($comment);
	head_html("修正フォーム");

echo <<<EOM
\n[ <a href="javascript:history.back();">&lt;&lt;戻る</a> ]<br>
<center><b>修正フォーム</b><br><br>
<font color="#CC0000">*</font>は必須項目です。
EOM;
	if($SPAM['js']){
		$path_parts = pathinfo($_SERVER["SCRIPT_NAME"]);
		$dirname = $path_parts['dirname'] . "/";
		echo "<form action=\"".t2h($dirname)."dummy.php\" method=\"post\" name=\"form1\" id=\"form1\" onSubmit=\"return checkForm(${REG['check']},${SPAM['js']});\">\n";
		echo "<input type=\"hidden\" name=\"script\" value=\"${script_name4html}\">\n";
	}else{
		echo "<form action=\"${script_name4html}\" method=\"post\" name=\"form1\" id=\"form1\" onsubmit=\"return checkForm(${REG['check']},${SPAM['js']});\">\n";
	}
echo <<<EOM
<input type=hidden name="mode" value="do_modify">
<input type=hidden name="id" value="${_POST['id']}">
<input type=hidden name="count" value="${item['count']}">
<input type=hidden name="post_pass" value="${post_pass_md5}">
<input type=hidden name="old_pass" value="${item['pass']}">
<input type="hidden" name="ticket" value="${ticket4html}">
<table border="0" cellpadding="0" cellspacing="0" width="500">
<tr><td width="100%"><table border=0 width="100%" cellspacing="1" cellpadding="3" bgcolor="#c0c0c0">
<tr><td bgcolor="#efefef"><b>カテゴリ</b></td>
<td bgcolor="#ffffff"><select size="1" name="category">
EOM;
while(list($key, $value) = each($category)){
	if($ct == $key){
		echo "<option selected value=$key>$value</option>\n";
	}else{
		echo "<option value=$key>$value</option>\n";
	}
}
echo <<<EOM
</select></td></tr>
<tr><td bgcolor="#EFEFEF"><b>サイト名</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF"><input type=text name=site size=60 value="${item['site']}"></td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>サイトURL</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF"><input type=text name=url size=60 value="${item['url']}"></td></tr>
EOM;
	if(BANNER_FLG == 1){
		echo "<tr><td bgcolor=\"#EFEFEF\" nowrap><b>バナーURL</b><br>（88*31固定）</td><td bgcolor=\"#FFFFFF\"><input type=text name=banner size=60 value=\"${item['banner']}\"></td></tr>\n";
	}
echo <<<EOM
<tr><td bgcolor="#EFEFEF"><b>コメント</b><br>（全角${com_max}文字以内）</td><td bgcolor="#FFFFFF"><textarea rows="4" name="comment" cols="50">${item['comment']}</textarea></td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>パスワード</b></td><td bgcolor="#FFFFFF"><input type="password" name=pass size="10" maxlength="8"><font color="#CC0000">（修正する場合のみ記入、半角英数8文字以内）</font></td></tr>
EOM;

	show_regkey();
echo <<<EOM
<tr><td bgcolor="#FFFFFF" colspan="2" align="center" height="50"><input type="submit" name="submit" value="修正する">&nbsp;<input type="reset" value="リセット"></td></tr>
</table></form></center>
EOM;
	foot_html();
}
#------------------#
#  データ修正処理  #
#------------------#
function do_modify(){
	global $category,$homeurl,$com_max,$title,$REG,$SPAM,$script_name4html;

	check_referer();
	check_tracking();
	check_session();
	verify_regkey();

	$_POST['id'] = intval($_POST['id']);

	if(!$_POST['site']){ error("サイト名が入力されていません"); }
	elseif($_POST['url'] == "http://" || $_POST['url'] == "https://"){ error("サイトURLが入力されていません"); }
	elseif(strlen(mb_convert_encoding($_POST['comment'], "EUC-JP", "UTF-8")) > ($com_max*2)){ error("コメントが全角${com_max}文字を超えています"); }
	elseif(!$SPAM['single'] && !preg_match('/[\xc0-\xf7][\x80-\xbf]/', $_POST['comment']) && $_POST['comment'] != ""){
		error("半角文字のみの投稿は禁止しています");
	}elseif(!$SPAM['url'] && preg_match('/http:\/\//', $_POST['comment'])){
		error("URLを含む投稿は禁止しています。<br>URLを投稿した場合は、頭の「h」を除いた「ttp://」から始めるようにして再度投稿して下さい。");
	}

	// NGワードチェック
	if(NG_WORD != ""){	check_ng_word(array('site','url','banner','comment')); }
	// NGURLチェック
	if(NG_URL != ""){	check_ng_url(array('site','url','banner','comment')); }

	foreach(array('site', 'comment') as $key){	$_POST[$key] = addslashes($_POST[$key]); }
	// 時間を取得
	$now = gmdate("Ymd",time()+9*60*60);
	$host = getenv("REMOTE_HOST");
	$addr = getenv("REMOTE_ADDR");
	if($host == "" || $host == $addr){	$host = @gethostbyaddr($addr);	}
	// パスワードの暗号化
	if($_POST['pass'] == ""){
		$pass = $_POST['old_pass'];
		$_POST['pass'] = "変更無";
	}else{
		$pass = md5($_POST['pass']);
	}
	if($_POST['banner'] == "http://" || $_POST['banner'] == "https://"){
		$_POST['banner'] = "";
	}
	
	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql = "SELECT ".DB_PASS." FROM ".DB_TABLE." WHERE ".DB_ID." = ${_POST['id']}";
	$result = $db->Query($sql);
	$rows = @mysql_num_rows($result);
	if(!$rows){	error("該当No.が存在しません");	}
	$item = @mysql_fetch_array($result);
	if(!$SPAM['nopass'] && empty($item['pass']) && $_POST['post_pass'] != md5(ADMIN_PASS)){
		error("パスワードを設定していない投稿は、修正・削除を許可していません");
	}
	if($_POST['post_pass'] != $item['pass'] && $item['pass'] != "" && $_POST['post_pass'] != md5(ADMIN_PASS)){
		error("パスワードが違います");
	}

	$sql = "UPDATE ".DB_TABLE." SET ";
	$sql .= DB_ID."=${_POST['id']}, ";
	$sql .= DB_COUNT."=${_POST['count']}, ";
	$sql .= DB_CT."=${_POST['category']}, ";
	$sql .= DB_SITE."='${_POST['site']}', ";
	$sql .= DB_URL."='${_POST['url']}', ";
	$sql .= DB_COMMENT."='${_POST['comment']}', ";
	$sql .= DB_PASS."='${pass}', ";
	$sql .= DB_DATE."=${now}, ";
	$sql .= DB_HOST."='${host}', ";
	$sql .= DB_BANNER."='${_POST['banner']}'";
	$sql .= " WHERE ".DB_ID."=${_POST['id']}";
	$result = $db->Query($sql);
	$db->Close();

	foreach(array('site', 'comment') as $key){	$_POST[$key] = stripslashes($_POST[$key]); }
	# 登録完了メッセージ出力
	head_html("修正完了");
echo <<<EOM
<center><p><b>修正完了</b></p>
<table border="0" cellpadding="0" cellspacing="0" width="450">       
<tr><td width="100%"><table border=0 width="100%" cellspacing="1" cellpadding="3" bgcolor="#c0c0c0">
<tr><td bgcolor="#EFEFEF"><b>カテゴリ</b></td><td bgcolor="#FFFFFF">${category[$_POST['category']]}</td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>サイト名</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF">${_POST['site']}</td></tr>
<tr><td bgcolor="#EFEFEF"><b>サイトURL</b><font color="#CC0000">*</font></td><td bgcolor="#FFFFFF">${_POST['url']}</td></tr>
EOM;
	if(BANNER_FLG == 1){
		echo "<tr><td bgcolor=\"#EFEFEF\" nowrap><b>バナーURL</b><br>（88*31固定）</td><td bgcolor=\"#FFFFFF\">${_POST['banner']}</td></tr>\n";
	}
echo <<<EOM
<tr><td bgcolor="#EFEFEF"><b>コメント</b></td><td bgcolor="#FFFFFF">${_POST['comment']}</td></tr>
<tr><td bgcolor="#EFEFEF" nowrap><b>パスワード</b></td><td bgcolor="#FFFFFF">${_POST['pass']}</td></tr>
</table></td></tr></table>
<p align=center><a href="${script_name4html}">${title}に戻る</a></p>
</center>
EOM;
	foot_html();
}
#------------------#
#  データ削除処理  #
#------------------#
function delete(){
	global $title,$REG,$SPAM,$script_name4html;

	$_POST['id'] = intval($_POST['id']);
	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql = "SELECT ".DB_PASS." FROM ".DB_TABLE." WHERE ".DB_ID." = ${_POST['id']}";
	$result = $db->Query($sql);
	$rows = @mysql_num_rows($result);
	if(!$rows){	error("該当No.が存在しません");	}
	$item = @mysql_fetch_array($result);

	// パスワードチェック
	if(!$SPAM['nopass'] && empty($item['pass']) && $_POST['pass'] != ADMIN_PASS){
		error("パスワードを設定していない投稿は、修正・削除を許可していません");
	}
	if(md5($_POST['pass']) != $item['pass'] && $item['pass'] != "" && $_POST['pass'] != ADMIN_PASS){
		error("パスワードが違います");
	}

	$sql = "DELETE FROM ".DB_TABLE." WHERE ".DB_ID." = ${_POST['id']}";
	$result = $db->Query($sql);
	$rows = $db->Affected_rows();
	if(!$rows){	error("データ削除中にエラーが発生しました");	}
	$db->Close();

	# 削除完了メッセージ出力
	head_html("削除完了");
echo <<<EOM
<center><p><b>削除完了</b></p>
<p align=center><a href="${script_name4html}">${title}に戻る</a></p>
</center>
EOM;
	foot_html();
}
#--------------#
#  更新順表示  #
#--------------#
function up(){
	global $CNF,$category,$title,$homeurl,$ct_cnt,$target,$script_name4html;

	if(isset($_GET['p']) && intval($_GET['p']) > 0){
		$pagenow = intval($_GET['p']);
	}else{
		$pagenow = 1;
	}
	head_html("更新サイト");
	navi_bar("更新サイト",$user_comment);
echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
echo "<tr><td width=\"100%\" valign=\"top\"><br>\n";
	$rows_all = 0;
	$num_start = ($pagenow - 1) * PAGEVIEW + 1;
	$offset = $num_start - 1;

	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql  = "SELECT * FROM ".DB_TABLE;
	$sql .= " ORDER BY ".DB_DATE." ".DESC.", ".DB_ID." ".PAGE_ORDER." ";
	$sql .= "limit ${offset}, ".PAGEVIEW;
	$result = $db->Query($sql);
	while($item = @mysql_fetch_array($result)){
		if(RANK_FLG == 1){
			if(BANNER_FLG == 1 && $item['banner'] != ""){
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
				if(TLINK_FLG == 1){	echo "　<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
				echo "<br>\n";
			}else{
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
			}
		}else{
			if(BANNER_FLG == 1 && $item['banner'] != ""){
				echo "<a href=\"${item['url']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
				if(TLINK_FLG == 1){	echo "　<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
				echo "<br>\n";
			}else{
				echo "<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
			}
		}
		echo "<span style=\"background-color: ${CNF[comment_bgcolor]}\">${item['comment']}</span><br>\n";
		if(RANK_FLG){
			echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">ヒット数：<b>${item['count']}</b>回 [${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
		}else{
			echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">[${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
		}
	}
echo "</td></tr></table><br><center>\n";
	// カテゴリデータ件数カウント
	for($i = 0; $i < count($ct_cnt); $i++){
		$sql = "SELECT ".DB_ID." FROM ".DB_TABLE." WHERE ".DB_CT." = ${i}";
		$result = $db->Query($sql);
		$rows = @mysql_num_rows($result);
		$ct_cnt[$i] = $rows;
		$rows_all += $rows;
	}
	$db->Close();
	// ページコントロール
	if($rows_all > 0){	page_ctl($rows_all,$pagenow,$num_start); }
	// カテゴリナビ表示
	echo "</center><hr size=1>【その他のカテゴリ】<br>\n";
	category_navi($ct_cnt);
	// 管理バー表示
	admin_bar();

	foot_html();
}
#------------------#
#  ランキング表示  #
#------------------#
function rank(){
	global $CNF,$category,$title,$homeurl,$ct_cnt,$target,$script_name4html;

	if(isset($_GET['p']) && intval($_GET['p']) > 0){
		$pagenow = intval($_GET['p']);
	}else{
		$pagenow = 1;
	}
	head_html("ランキング");
	navi_bar("ランキング",$user_comment);
echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
echo "<tr><td width=\"100%\" valign=\"top\"><br>\n";
	$rows_all = 0;
	$num_start = ($pagenow - 1) * PAGEVIEW + 1;
	$offset = $num_start - 1;

	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql  = "SELECT * FROM ".DB_TABLE." ORDER BY ".DB_COUNT." DESC, ".DB_ID." ".PAGE_ORDER." ";
	$sql .= "limit ${offset}, ".PAGEVIEW;
	$result = $db->Query($sql);
	while($item = @mysql_fetch_array($result)){
			if(BANNER_FLG == 1 && $item['banner'] != ""){
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
				if(TLINK_FLG == 1){	echo "　<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
				echo "<br>\n";
			}else{
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
			}
			echo "<span style=\"background-color: ${CNF[comment_bgcolor]}\">${item['comment']}</span><br>\n";
			echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">ヒット数：<b>${item['count']}</b>回 [${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
	}
echo "</td></tr></table><br><center>\n";
	// カテゴリデータ件数カウント
	for($i = 0; $i < count($ct_cnt); $i++){
		$sql = "SELECT ".DB_ID." FROM ".DB_TABLE." WHERE ".DB_CT." = ${i}";
		$result = $db->Query($sql);
		$rows = @mysql_num_rows($result);
		$ct_cnt[$i] = $rows;
		$rows_all += $rows;
	}
	$db->Close();
	// ページコントロール
	if($rows_all > 0){	page_ctl($rows_all,$pagenow,$num_start); }
	// カテゴリナビ表示
	echo "</center><hr size=1>【その他のカテゴリ】<br>\n";
	category_navi($ct_cnt);
	// 管理バー表示
	admin_bar();

	foot_html();
}
#----------------#
#  カテゴリ表示  #
#----------------#
function ct(){
	global $CNF,$category,$title,$homeurl,$ct_cnt,$target,$script_name4html;

	$_GET['ct'] = intval($_GET['ct']);
	if(isset($_GET['p']) && intval($_GET['p']) > 0){
		$pagenow = intval($_GET['p']);
	}else{
		$pagenow = 1;
	}
	head_html("カテゴリ：${category[$_GET['ct']]}");
	navi_bar("${category[$_GET['ct']]}",$user_comment);
echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
echo "<tr><td width=\"100%\" valign=\"top\"><br>\n";
	$rows_all = 0;
	$num_start = ($pagenow - 1) * PAGEVIEW + 1;
	$offset = $num_start - 1;

	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql  = "SELECT * FROM ".DB_TABLE." WHERE ".DB_CT." = ${_GET['ct']} ";
	$sql .= "ORDER BY ".DB_ID." ".PAGE_ORDER." ";
	$sql .= "limit ${offset}, ".PAGEVIEW;
	$result = $db->Query($sql);
	while($item = @mysql_fetch_array($result)){
		if(RANK_FLG == 1){
			if(BANNER_FLG == 1 && $item['banner'] != ""){
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
				if(TLINK_FLG == 1){	echo "　<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
				echo "<br>\n";
			}else{
				echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
			}
		}else{
			if(BANNER_FLG == 1 && $item['banner'] != ""){
				echo "<a href=\"${item['url']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
				if(TLINK_FLG == 1){	echo "　<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
				echo "<br>\n";
			}else{
				echo "<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
			}
		}
		echo "<span style=\"background-color: ${CNF[comment_bgcolor]}\">${item['comment']}</span><br>\n";
		if(RANK_FLG){
			echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">ヒット数：<b>${item['count']}</b>回 [${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
		}else{
			echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">[${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
		}
	}
echo "</td></tr></table><br><center>\n";
	// カテゴリデータ件数カウント
	for($i = 0; $i < count($ct_cnt); $i++){
		$sql = "SELECT ".DB_ID." FROM ".DB_TABLE." WHERE ".DB_CT." = ${i}";
		$result = $db->Query($sql);
		$rows = @mysql_num_rows($result);
		$ct_cnt[$i] = $rows;
	}
	$rows_all = $ct_cnt[$_GET['ct']];
	$db->Close();
	// ページコントロール
	if($rows_all > 0){	page_ctl($rows_all,$pagenow,$num_start); }
	// カテゴリナビ表示
	echo "</center><hr size=1>【その他のカテゴリ】<br>\n";
	category_navi($ct_cnt);
	// 管理バー表示
	admin_bar();

	foot_html();
}
#--------------------------------#
#  カウントアップ、ロケーション  #
#--------------------------------#
function jump(){

	$_GET['id'] = intval($_GET['id']);
	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql = "SELECT ".DB_COUNT.", ".DB_URL." FROM ".DB_TABLE." WHERE ".DB_ID." = '${_GET['id']}'";
	$result = $db->Query($sql);
	$rows = @mysql_num_rows($result);
	if(!$rows){	error("該当No.が存在しません");	}
	$item = @mysql_fetch_array($result);
	$sql  = "UPDATE ".DB_TABLE." SET ";
	$sql .= DB_COUNT."=".DB_COUNT."+1 ";
	$sql .= "WHERE ".DB_ID."=${_GET['id']}";
	$result = $db->Query($sql);
	$db->Close();
	// ロケーション
	header("Location: ${item['url']}");
}
#------------------#
#  キーワード検索  #
#------------------#
function do_search(){
	global $title,$CNF,$script_name4html;

	if($_POST['cond'] != "and" && $_POST['cond'] != "or"){	exit; }
	if(isset($_POST['p']) && intval($_POST['p']) > 0){
		$pagenow = intval($_POST['p']);
	}else{
		$pagenow = 1;
	}
	$num_start = ($pagenow - 1) * PAGEVIEW + 1;

	head_html("${_POST['word']} の検索結果");
echo <<<EOM
<center>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr><td width="50%" align="center"><big>${title}</big></td>
    <td width="50%" nowrap align="center"><form action="${script_name4html}" method="post">
    <input type=hidden name=mode value=do_search><input type=text name=word size=30 value="${_POST['word']}"> 
EOM;
if($_POST['cond'] == "and"){
	echo "<select name=cond><option value=\"and\">AND<option value=\"or\">OR</select> <input type=\"submit\" value=\"検索\"></td></form></tr></table><br>\n";
}else{
	echo "<select name=cond><option value=\"and\">AND<option value=\"or\" selected>OR</select> <input type=\"submit\" value=\"検索\"></td></form></tr></table><br>\n";
}
	$word4html = $_POST['word'];
	$_POST['word'] = h2t($_POST['word']);
	$_POST['word'] = str_replace("　", " ", $_POST['word']);
	$_POST['word'] = ereg_replace("( )+", " ", $_POST['word']);
	$keywords = split(" ", $_POST['word']);
if($keywords[0] != ""){
	$rows_all = 0;
	// 検索開始
	search_rtn($keywords,$pagenow,$num_start,$rows_all,$word4html);
	// ページコントロール
	if($rows_all < $pagenow * PAGEVIEW){
		$num_end = $rows_all;
	}else{
		$num_end = $pagenow * PAGEVIEW;
	}
	if($rows_all > 0){
		echo "<br><center>";
		for($i = 0; $i < count($keywords); $i++){
			echo "$keywords[$i] ";
		}
		echo "の検索結果　".$rows_all."件中　".$num_start." - ".$num_end." 件目</center>\n";
	}
	$table_flg = 0;
	if($pagenow > 1){
		$page_prev = $pagenow - 1;
		$button_value = "&lt;&lt;前の".PAGEVIEW."件";
		$table_flg = 1;
echo <<<EOM
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr><td width="50%" align="left">
<form action="${script_name4html}" method="post">
<input type=hidden name=mode value=do_search>
<input type=hidden name=word size=30 value="${_POST['word']}">
<input type=hidden name=cond value="${_POST['cond']}">
<input type=hidden name=p value="${page_prev}">
<input type="submit" value="${button_value}"></form></td>
EOM;
	}
	if($rows_all > $num_end){
		$next_view = $rows_all - $num_end;
		if($next_view > PAGEVIEW){	$next_view = PAGEVIEW;	}
		$page_next = $pagenow + 1;
		$button_value = "次の".$next_view."件&gt;&gt;";
		if($table_flg == 0){
			$table_flg = 1;
			echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
			echo "<tr><td width=\"50%\" align=\"left\"></td>\n";
		}
echo <<<EOM
<td width="50%" align="right">
<form action="${script_name4html}" method="post">
<input type=hidden name=mode value=do_search>
<input type=hidden name=word size=30 value="${_POST['word']}">
<input type=hidden name=cond value="${_POST['cond']}">
<input type=hidden name=p value="${page_next}">
<input type="submit" value="${button_value}"></form></td></tr></table>
EOM;
	}elseif($table_flg == 1){
		echo "<td width=\"50%\" align=\"right\"></td></tr></table>\n";
	}else{
		echo "<br>";
	}
	// 管理バー表示
	admin_bar();
}else{
	error("キーワードが入力されていません");
}
	foot_html();
}
#------------#
#  検索処理  #
#------------#
function search_rtn(&$keywords,&$pagenow,&$num_start,&$match_cnt,&$word4html){
	global $homeurl,$category,$CNF,$target,$SPAM,$script_name4html;

echo <<<EOM
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr><td width="100%" bgcolor="${CNF[navi_border]}" colspan="3" style="border-bottom: 1px solid #FFFFFF;"><img width=1 height=1 alt=""></td></tr>
  <tr><td width="25%" bgcolor="${CNF[navi_color]}" align="left" height="25" style="padding-left: 5px;"><a href="$homeurl">ホーム</a>&nbsp;&nbsp;<a href="${script_name4html}?mode=new">新着サイト</a></td>
  <td bgcolor="${CNF[navi_color]}" align="center" height="25" nowrap><b>${word4html} の検索結果</b></td>
EOM;
echo "<td width=\"25%\" bgcolor=\"${CNF[navi_color]}\" align=\"right\" height=\"25\" nowrap style=\"padding-right: 5px;\">";
if(ADMIN_MODE == 1){
	if(RANK_FLG == 1){
		echo "<a href=\"${script_name4html}?mode=up\">更新サイト</a>&nbsp;&nbsp;<a href=\"${script_name4html}?mode=rank\">ランキング</a></td></tr>\n";
	}else{
		echo "<a href=\"${script_name4html}?mode=up\">更新サイト</a></td></tr>\n";
	}
}else{
	if(RANK_FLG == 1){
		if($SPAM['js']){
			echo "<a href=\"javascript:void(0);\" onClick=\"window.open('${script_name4html}?mode=regist','_top').focus();\">新規登録</a>";
		}else{
			echo "<a href=\"${script_name4html}?mode=regist\">新規登録</a>";
		}
		echo "&nbsp;&nbsp;<a href=\"${script_name4html}?mode=up\">更新サイト</a>&nbsp;&nbsp;<a href=\"${script_name4html}?mode=rank\">ランキング</a></td></tr>\n";
	}else{
		if($SPAM['js']){
			echo "<a href=\"javascript:void(0);\" onClick=\"window.open('${script_name4html}?mode=regist','_top').focus();\">新規登録</a>";
		}else{
			echo "<a href=\"${script_name4html}?mode=regist\">新規登録</a>";
		}
		echo "&nbsp;&nbsp;<a href=\"${script_name4html}?mode=up\">更新サイト</a></td></tr>\n";
	}
}
echo <<<EOM
  <tr><td width="100%" bgcolor="${CNF[navi_border]}" colspan="3" style="border-top: 1px solid #FFFFFF;"><img width=1 height=1 alt=""></td></tr></table></center>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr><td width="100%" valign="top"><br>
EOM;
	$offset = $num_start - 1;
	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql  = "SELECT * FROM ".DB_TABLE;
	for($i = 0; $i < count($keywords); $i++){
		if($i == 0){
			$where = " WHERE ";
		}else{
			$where .= " ${_POST['cond']} ";
		}
		$where .= "(".DB_SITE." LIKE '%${keywords[$i]}%' OR ";
		$where .= DB_URL." LIKE '%${keywords[$i]}%' OR ";
		$where .= DB_COMMENT." LIKE '%${keywords[$i]}%')";
	}
	$sql .= $where;
	$sql .= " ORDER BY ".DB_ID." ".PAGE_ORDER;
	$result = $db->Query($sql);
	$match_cnt = @mysql_num_rows($result);
	$sql .= " limit ${offset}, ".PAGEVIEW;
	$result = $db->Query($sql);
	while($item = @mysql_fetch_array($result)){
			if(RANK_FLG == 1){
				if(BANNER_FLG == 1 && $item['banner'] != ""){
					echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
					if(TLINK_FLG == 1){	echo "　<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
					echo "<br>\n";
				}else{
					echo "<a href=\"${script_name4html}?mode=jump&amp;id=${item['id']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
				}
			}else{
				if(BANNER_FLG == 1 && $item['banner'] != ""){
					echo "<a href=\"${item['url']}\" target=\"$target\"><img border=\"0\" src=\"${item['banner']}\" width=\"88\" height=\"31\"></a>";
					if(TLINK_FLG == 1){	echo "　<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a>"; }
					echo "<br>\n";
				}else{
					echo "<a href=\"${item['url']}\" target=\"$target\"><span class=\"site_title\">${item['site']}</span></a><br>\n";
				}
			}
			echo "<span style=\"background-color: ${CNF[comment_bgcolor]}\">${item['comment']}</span><br>\n";
			if(RANK_FLG){
				echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">ヒット数：<b>${item['count']}</b>回 [${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
			}else{
				echo "<div align=\"right\"><font color=\"${CNF[comment2_bgcolor]}\">[${category[$item['ct']]}] [No.${item['id']}]</font></div>\n";
			}
	}
	$db->Close();
echo "</td></tr></table><br>\n";
}
#--------------------------#
#  ランキングリセット入口  #
#--------------------------#
function rank_reset(){
	global $title,$script_name4html;

	head_html("ランキングリセット");
echo <<<EOM
[ <a href="${script_name4html}">&lt;&lt; ${title}に戻る</a> ]<br>
<center><b>ランキングリセット</b>
<hr size="1">
<form action="${script_name4html}" method="post"><font color="#CC6633">▼</font>管理用パスワードを入力して下さい<br>
<input type=hidden name=mode value=do_rank_reset>
パスワード：<input type="password" name=pass size="10" maxlength="8"> <input type="submit" value="ランキングをリセットする"></form>
<hr size="1">
EOM;

	foot_html();
}
#--------------------------#
#  ランキングリセット実行  #
#--------------------------#
function do_rank_reset(){
	global $title,$script_name4html;

	// パスワードチェック
	if($_POST['pass'] != ADMIN_PASS){
			error("パスワードが違います");
	}
	$db = new DB(DBHOST,DBUSER,DBPASS,DBNAME);
	$sql = "UPDATE ".DB_TABLE." SET ";
	$sql .= DB_COUNT."=0 ";
	$result = $db->Query($sql);
	$db->Close();

	# ランキングリセット完了メッセージ出力
	head_html("ランキングリセット完了");
echo <<<EOM
<center><p><b>ランキングリセット完了</b></p>
<p align=center><a href="${script_name4html}">${title}に戻る</a></p>
</center>
EOM;
	foot_html();
}
#----------------#
#  ナビバー表示  #
#----------------#
function navi_bar($sub_title,&$user_comment){
	global $CNF,$title,$homeurl,$SPAM,$script_name4html;

echo "<a name=\"top\"></a><p><center>\n";
if(SEARCH_FLG == 1){
echo <<<EOM
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr><td width="50%" align="center"><big>$title</big></td>
    <td width="50%" nowrap align="center"><form action="${script_name4html}" method="post">
    <input type=hidden name=mode value=do_search><input type=text name=word size=30>
    <select name=cond><option value="and">AND<option value="or">OR</select> <input type="submit" value="検索"></td></form></tr></table><br>
EOM;
}else{
	echo "<a name=\"top\"></a><p><center>\n";
	echo "<big>$title</big><br><br>\n";
}
echo <<<EOM
$user_comment
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr><td width="100%" bgcolor="${CNF[navi_border]}" colspan="3" style="border-bottom: 1px solid #FFFFFF;"><img width=1 height=1 alt=""></td></tr>
  <tr><td width="25%" bgcolor="${CNF[navi_color]}" align="left" height="25" style="padding-left: 5px;"><a href="$homeurl">ホーム</a>&nbsp;&nbsp;<a href="${script_name4html}?mode=new">新着サイト</a></td>
  <td bgcolor="${CNF[navi_color]}" align="center" height="25" nowrap><b>$sub_title</b></td>
EOM;
echo "<td width=\"25%\" bgcolor=\"${CNF[navi_color]}\" align=\"right\" height=\"25\" nowrap style=\"padding-right: 5px;\">";
if(ADMIN_MODE == 1){
	if(RANK_FLG == 1){
		echo "<a href=\"${script_name4html}?mode=up\">更新サイト</a>&nbsp;&nbsp;<a href=\"${script_name4html}?mode=rank\">ランキング</a></td></tr>\n";
	}else{
		echo "<a href=\"${script_name4html}?mode=up\">更新サイト</a></td></tr>\n";
	}
}else{
	if(RANK_FLG == 1){
		if($SPAM['js']){
			echo "<a href=\"javascript:void(0);\" onClick=\"window.open('${script_name4html}?mode=regist','_top').focus();\">新規登録</a>";
		}else{
			echo "<a href=\"${script_name4html}?mode=regist\">新規登録</a>";
		}
		echo "&nbsp;&nbsp;<a href=\"${script_name4html}?mode=up\">更新サイト</a>&nbsp;&nbsp;<a href=\"${script_name4html}?mode=rank\">ランキング</a></td></tr>\n";
	}else{
		if($SPAM['js']){
			echo "<a href=\"javascript:void(0);\" onClick=\"window.open('${script_name4html}?mode=regist','_top').focus();\">新規登録</a>";
		}else{
			echo "<a href=\"${script_name4html}?mode=regist\">新規登録</a>";
		}
		echo "&nbsp;&nbsp;<a href=\"${script_name4html}?mode=up\">更新サイト</a></td></tr>\n";
	}
}
echo "<tr><td width=\"100%\" bgcolor=\"${CNF[navi_border]}\" colspan=\"3\" style=\"border-top: 1px solid #FFFFFF;\"><img width=1 height=1 alt=\"\"></td></tr></table></center><br>\n";
}
#----------------#
#  管理バー表示  #
#----------------#
function admin_bar(){
	global $CNF,$script_name4html;

echo <<<EOM
<center><table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr><td width="100%" bgcolor="${CNF[navi_border]}" colspan="3" style="border-bottom: 1px solid #FFFFFF;"><img width=1 height=1 alt=""></td></tr>
  <tr><td width="25%" bgcolor="${CNF[navi_color]}" align="left" height="30" style="padding-left: 5px;"><a href="javascript:history.back();">&lt;&lt;戻る</a></td>
  <form action="${script_name4html}" method="post">
  <td bgcolor="${CNF[navi_color]}" align="center" height="30" nowrap>No：<input type="text" name="id" size="5" style="ime-mode:disabled"> Pass：<input type="password" name=pass size="10" maxlength="8">
EOM;
	if(ADMIN_MODE == 1){
		echo "\n<select name=\"mode\"><option value=\"regist\" selected>登録<option value=\"modify\">修正<option value=\"delete\">削除</option></select>\n";
	}else{
		echo "\n<select name=\"mode\"><option value=\"modify\" selected>修正<option value=\"delete\">削除</option></select>\n";
	}
echo <<<EOM
  <input type="submit" value="送信" name="submit"></td></form>
  <td width="25%" bgcolor="${CNF[navi_color]}" align="right" height="30" style="padding-right: 5px;"><a href="#top">トップへ</a></td></tr>
  <tr><td width="100%" bgcolor="${CNF[navi_border]}" colspan="3" style="border-top: 1px solid #FFFFFF;"><img width=1 height=1 alt=""></td></tr>
</table></center>
EOM;
}
#--------------------#
#  カテゴリナビ表示  #
#--------------------#
function category_navi(&$ct_cnt){
	global $CNF,$category,$script_name4html;

	$count = 0;
	$write_flg = 0;
	echo "<table border=\"0\" cellpadding=\"4\" cellspacing=\"0\" width=\"100%\">\n";
	while(list($key, $value) = each($category)){
		$count++;
		if(($count % 2) == 1){
			$write_flg = 1;
			echo "<tr><td width=\"50%\"><font color=\"${CNF[navi_border]}\">■</font><a href=\"${script_name4html}?mode=ct&amp;ct=$key\">$value</a>（$ct_cnt[$key]）</td>\n";
		}else{
			$write_flg = 0;
			echo "<td width=\"50%\"><font color=\"${CNF[navi_border]}\">■</font><a href=\"${script_name4html}?mode=ct&amp;ct=$key\">$value</a>（$ct_cnt[$key]）</td></tr>\n";
		}
	}
	if($write_flg == 1){
		echo "<td width=\"50%\"><font color=\"${CNF[navi_border]}\">■</font></td></tr>\n";
	}
	echo "</table><br>\n";
}
#----------------------#
#  ページコントロール  #
#----------------------#
function page_ctl(&$rows_all,&$pagenow,&$num_start){
	global $script_name4html;

	if($rows_all < $pagenow * PAGEVIEW){
		$num_end = $rows_all;
	}else{
		$num_end = $pagenow * PAGEVIEW;
	}
	if($rows_all > PAGEVIEW){
		echo "$num_start - $num_end ( $rows_all 件中 )　 [ \n";
	}else{
		echo "$num_start - $num_end ( $rows_all 件中 )<br><br>\n";
	}
	if($pagenow != 1){
		$page_prev = $pagenow - 1;
		if($_GET['mode'] == "ct"){
			echo "/ <a href=\"${script_name4html}?mode=${_GET['mode']}&amp;ct=${_GET['ct']}&amp;p=$page_prev\">&lt;- 前ページ</a> \n";
		}else{
			echo "/ <a href=\"${script_name4html}?mode=${_GET['mode']}&amp;p=$page_prev\">&lt;- 前ページ</a> \n";
		}
	}
	if($rows_all > $num_end){
		$page_next = $pagenow + 1;
		if($_GET['mode'] == "ct"){
			echo "/ <a href=\"${script_name4html}?mode=${_GET['mode']}&amp;ct=${_GET['ct']}&amp;p=$page_next\">次ページ -&gt;</a>\n";
		}else{
			echo "/ <a href=\"${script_name4html}?mode=${_GET['mode']}&amp;p=$page_next\">次ページ -&gt;</a>\n";
		}
	}
	if($rows_all > PAGEVIEW){
		echo " / ]<br><br>\n";
	}
}
#--------------------#
#  バックアップ処理  #
#--------------------#
function backup(&$db){

	// MySQLテーブル作成用ライブラリ
	require_once(PATH_LIB."table.php");

	$flag_charset = check_version($db);

	$today = gmdate("Ymd",time()+9*60*60);
	$bakday = file(BAKDAYFILE);
	list($lastbak) = explode(",", rtrim($bakday[0]));
	if($today != $lastbak){
		$tb_bak_name = DB_TABLE."_bak";
		$result = @mysql_list_tables(DBNAME);
		$i = 0;
		$match_flg = 0;
		while($i < @mysql_num_rows($result)){
    			$tb_names[$i] = @mysql_tablename($result,$i);
			if($tb_names[$i] == $tb_bak_name){
				$match_flg = 1;
				break;
			}
    			$i++;
		}
		if($match_flg){
			$sql = "TRUNCATE TABLE ${tb_bak_name}";
			$result = $db->Query($sql);
		}else{
			// バックアップ用テーブル作成
			$sql = "CREATE TABLE ${tb_bak_name} ";
			$sql .= $tb_define;
			if($flag_charset){	$sql .= " default charset=utf8;"; }
			$result = $db->Query($sql);
		}
		$sql = "INSERT INTO ${tb_bak_name} SELECT * FROM ".DB_TABLE;
		$result = $db->Query($sql);
		$rows = $db->Affected_rows();
		if(!$rows){	error("バックアップ処理中にエラーが発生しました");	}

		$fp = @fopen(BAKDAYFILE, "r+") or error("fopen Error: ".BAKDAYFILE);
		// ロック開始
		lock($fp);
		// 書き込みバッファを 0 にする
		set_file_buffer($fp, 0);
		ftruncate($fp, 0);
		fputs($fp, "$today");
		// ロック解除
		unlock($fp);
		fclose($fp);
	}
}
#----------------#
#  ヘッダー表示  #
#----------------#
function head_html($title){
	global $CNF,$SPAM,$msg_noscript;

	$site_font_weight = $CNF['site_bold_flag'] ? "bold" : "normal";
if($CNF[font_family] != ""){	$font_family = "font-family: ".$CNF[font_family].";"; }
if($CNF[scrollbar] != ""){	$scrollbar = "\nbody { scrollbar-base-color: ".$CNF[scrollbar]."; }"; }
echo <<<EOM
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head>
<meta http-equiv="Content-Language" content="ja">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<title>$title</title>
<STYLE TYPE="TEXT/CSS">
<!--
body,tr,td,th { color: $CNF[font_color]; font-size: $CNF[font_size]; ${font_family} }
a:link    { color: $CNF[link]; text-decoration: $CNF[link_deco]; }
a:visited { color: $CNF[visited]; text-decoration: $CNF[visited_deco]; }
a:active  { color: $CNF[active]; text-decoration: $CNF[active_deco]; }
a:hover   { color: $CNF[hover]; text-decoration: $CNF[hover_deco]; background-color: $CNF[hover_bgcolor]; }
.site_title { font-size: $CNF[site_font_size]; font-weight: ${site_font_weight}; }
.solid_left { border-color : $CNF[bgcolor] $CNF[bgcolor] $CNF[bgcolor] $CNF[ct_left]; border-width: 1px; border-style: solid; }${scrollbar}
-->
</STYLE>
<script type="text/javascript" src="./js/common.js" charset="UTF-8"></script>
</head>
<body background="${CNF[background]}" bgcolor="${CNF[bgcolor]}">
EOM;
	if($SPAM['js'] && $msg_noscript != ""){	echo $msg_noscript; }
}
#----------------#
#  フッター表示  #
#----------------#
function foot_html(){
	global $CNF,$homeurl,$copyright;

echo <<<EOM
<p align=center>${copyright}</p>
</body></html>
EOM;
}
#----------------#
#  デコード処理  #
#----------------#
function decode(){

	if($_SERVER['REQUEST_METHOD'] == "GET"){	error("不正な投稿です"); }

	foreach($_POST as $key => $value){
		// バックスラッシュの排除
		if(get_magic_quotes_gpc()){	$value = stripslashes($value); }

		// タグ処理
		$value = htmlspecialchars($value);

		// 区切り文字","をタグ用に処理
		$value = str_replace(",", "&#44;", $value);

		// 改行処理
		if($key == "comment"){
			$value = preg_replace('/[\t\0]/', '', $value);
			$value = str_replace("\r\n", "<br>", $value);
			$value = str_replace("\r", "<br>", $value);
			$value = str_replace("\n", "<br>", $value);
		}else{
			$value = preg_replace('/[\r\n\t\0]/', '', $value);
		}
		$value = trim($value);
		$_POST[$key] = $value;
	}
}
?>